import{s as Ht,n as Nt,o as Vt}from"../chunks/scheduler.69131cc3.js";import{S as St,i as Bt,g as o,s as a,r as d,A as Ot,h as c,f as r,c as n,j as v,u as g,x as k,k as _,y as t,a as l,v as m,d as p,t as u,w as h}from"../chunks/index.e1f30d73.js";import{D as b}from"../chunks/Docstring.ae1a1e2d.js";import{H as gt}from"../chunks/Heading.0aab6758.js";function Ut(mt){let M,ye,xe,Le,A,Me,P,Ee,i,H,ze,Q,pt="A base Tracker class to be used for all logging integration implementations.",Ge,Y,ut=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/v0.27.1/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,We,Z,ht="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",qe,ee,ft=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,Fe,te,vt=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,Re,E,N,je,re,_t=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,Ke,C,V,Je,ae,bt="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",Xe,I,S,Qe,ne,kt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Ce,B,Ie,T,O,Ye,oe,$t="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",Ze,ce,U,De,x,z,et,se,Tt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",tt,ie,G,Ae,$,W,rt,le,xt="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",at,de,wt="API keys must be stored in a Comet config file.",nt,ge,q,Pe,w,F,ot,me,yt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",ct,pe,R,He,y,j,st,ue,Lt="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",it,he,K,Ne,L,J,lt,fe,Mt="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",dt,ve,X,Ve,we,Se;return A=new gt({props:{title:"Experiment Tracking",local:"experiment-tracking",headingTag:"h1"}}),P=new gt({props:{title:"The Base Tracker Class",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),H=new b({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L91"}}),N=new b({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L157"}}),V=new b({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": Optional"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L144"}}),S=new b({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L132"}}),B=new gt({props:{title:"Integrated Trackers",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),O=new b({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.
kwargs &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"logging_dir"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L165"}}),U=new b({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L181"}}),z=new b({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L276"}}),G=new b({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L291"}}),W=new b({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L399"}}),q=new b({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L415"}}),F=new b({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L480"}}),R=new b({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L494"}}),j=new b({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L579"}}),K=new b({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L610"}}),J=new b({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.
kwargs &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L724"}}),X=new b({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.27.1/src/accelerate/tracking.py#L739"}}),{c(){M=o("meta"),ye=a(),xe=o("p"),Le=a(),d(A.$$.fragment),Me=a(),d(P.$$.fragment),Ee=a(),i=o("div"),d(H.$$.fragment),ze=a(),Q=o("p"),Q.textContent=pt,Ge=a(),Y=o("p"),Y.innerHTML=ut,We=a(),Z=o("p"),Z.innerHTML=ht,qe=a(),ee=o("p"),ee.innerHTML=ft,Fe=a(),te=o("p"),te.innerHTML=vt,Re=a(),E=o("div"),d(N.$$.fragment),je=a(),re=o("p"),re.textContent=_t,Ke=a(),C=o("div"),d(V.$$.fragment),Je=a(),ae=o("p"),ae.innerHTML=bt,Xe=a(),I=o("div"),d(S.$$.fragment),Qe=a(),ne=o("p"),ne.innerHTML=kt,Ce=a(),d(B.$$.fragment),Ie=a(),T=o("div"),d(O.$$.fragment),Ye=a(),oe=o("p"),oe.innerHTML=$t,Ze=a(),ce=o("div"),d(U.$$.fragment),De=a(),x=o("div"),d(z.$$.fragment),et=a(),se=o("p"),se.innerHTML=Tt,tt=a(),ie=o("div"),d(G.$$.fragment),Ae=a(),$=o("div"),d(W.$$.fragment),rt=a(),le=o("p"),le.innerHTML=xt,at=a(),de=o("p"),de.textContent=wt,nt=a(),ge=o("div"),d(q.$$.fragment),Pe=a(),w=o("div"),d(F.$$.fragment),ot=a(),me=o("p"),me.innerHTML=yt,ct=a(),pe=o("div"),d(R.$$.fragment),He=a(),y=o("div"),d(j.$$.fragment),st=a(),ue=o("p"),ue.innerHTML=Lt,it=a(),he=o("div"),d(K.$$.fragment),Ne=a(),L=o("div"),d(J.$$.fragment),lt=a(),fe=o("p"),fe.innerHTML=Mt,dt=a(),ve=o("div"),d(X.$$.fragment),Ve=a(),we=o("p"),this.h()},l(e){const s=Ot("svelte-u9bgzb",document.head);M=c(s,"META",{name:!0,content:!0}),s.forEach(r),ye=n(e),xe=c(e,"P",{}),v(xe).forEach(r),Le=n(e),g(A.$$.fragment,e),Me=n(e),g(P.$$.fragment,e),Ee=n(e),i=c(e,"DIV",{class:!0});var f=v(i);g(H.$$.fragment,f),ze=n(f),Q=c(f,"P",{"data-svelte-h":!0}),k(Q)!=="svelte-m7ldax"&&(Q.textContent=pt),Ge=n(f),Y=c(f,"P",{"data-svelte-h":!0}),k(Y)!=="svelte-1kz157b"&&(Y.innerHTML=ut),We=n(f),Z=c(f,"P",{"data-svelte-h":!0}),k(Z)!=="svelte-sgpklc"&&(Z.innerHTML=ht),qe=n(f),ee=c(f,"P",{"data-svelte-h":!0}),k(ee)!=="svelte-fdst8q"&&(ee.innerHTML=ft),Fe=n(f),te=c(f,"P",{"data-svelte-h":!0}),k(te)!=="svelte-189sskg"&&(te.innerHTML=vt),Re=n(f),E=c(f,"DIV",{class:!0});var Be=v(E);g(N.$$.fragment,Be),je=n(Be),re=c(Be,"P",{"data-svelte-h":!0}),k(re)!=="svelte-va87im"&&(re.textContent=_t),Be.forEach(r),Ke=n(f),C=c(f,"DIV",{class:!0});var Oe=v(C);g(V.$$.fragment,Oe),Je=n(Oe),ae=c(Oe,"P",{"data-svelte-h":!0}),k(ae)!=="svelte-czjed5"&&(ae.innerHTML=bt),Oe.forEach(r),Xe=n(f),I=c(f,"DIV",{class:!0});var Ue=v(I);g(S.$$.fragment,Ue),Qe=n(Ue),ne=c(Ue,"P",{"data-svelte-h":!0}),k(ne)!=="svelte-ijycp8"&&(ne.innerHTML=kt),Ue.forEach(r),f.forEach(r),Ce=n(e),g(B.$$.fragment,e),Ie=n(e),T=c(e,"DIV",{class:!0});var _e=v(T);g(O.$$.fragment,_e),Ye=n(_e),oe=c(_e,"P",{"data-svelte-h":!0}),k(oe)!=="svelte-4bz4fo"&&(oe.innerHTML=$t),Ze=n(_e),ce=c(_e,"DIV",{class:!0});var Et=v(ce);g(U.$$.fragment,Et),Et.forEach(r),_e.forEach(r),De=n(e),x=c(e,"DIV",{class:!0});var be=v(x);g(z.$$.fragment,be),et=n(be),se=c(be,"P",{"data-svelte-h":!0}),k(se)!=="svelte-1funvbl"&&(se.innerHTML=Tt),tt=n(be),ie=c(be,"DIV",{class:!0});var Ct=v(ie);g(G.$$.fragment,Ct),Ct.forEach(r),be.forEach(r),Ae=n(e),$=c(e,"DIV",{class:!0});var D=v($);g(W.$$.fragment,D),rt=n(D),le=c(D,"P",{"data-svelte-h":!0}),k(le)!=="svelte-46z6qn"&&(le.innerHTML=xt),at=n(D),de=c(D,"P",{"data-svelte-h":!0}),k(de)!=="svelte-1byed2r"&&(de.textContent=wt),nt=n(D),ge=c(D,"DIV",{class:!0});var It=v(ge);g(q.$$.fragment,It),It.forEach(r),D.forEach(r),Pe=n(e),w=c(e,"DIV",{class:!0});var ke=v(w);g(F.$$.fragment,ke),ot=n(ke),me=c(ke,"P",{"data-svelte-h":!0}),k(me)!=="svelte-1wn9vfq"&&(me.innerHTML=yt),ct=n(ke),pe=c(ke,"DIV",{class:!0});var Dt=v(pe);g(R.$$.fragment,Dt),Dt.forEach(r),ke.forEach(r),He=n(e),y=c(e,"DIV",{class:!0});var $e=v(y);g(j.$$.fragment,$e),st=n($e),ue=c($e,"P",{"data-svelte-h":!0}),k(ue)!=="svelte-109p8cy"&&(ue.innerHTML=Lt),it=n($e),he=c($e,"DIV",{class:!0});var At=v(he);g(K.$$.fragment,At),At.forEach(r),$e.forEach(r),Ne=n(e),L=c(e,"DIV",{class:!0});var Te=v(L);g(J.$$.fragment,Te),lt=n(Te),fe=c(Te,"P",{"data-svelte-h":!0}),k(fe)!=="svelte-b632ft"&&(fe.innerHTML=Mt),dt=n(Te),ve=c(Te,"DIV",{class:!0});var Pt=v(ve);g(X.$$.fragment,Pt),Pt.forEach(r),Te.forEach(r),Ve=n(e),we=c(e,"P",{}),v(we).forEach(r),this.h()},h(){_(M,"name","hf:doc:metadata"),_(M,"content",zt),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,M),l(e,ye,s),l(e,xe,s),l(e,Le,s),m(A,e,s),l(e,Me,s),m(P,e,s),l(e,Ee,s),l(e,i,s),m(H,i,null),t(i,ze),t(i,Q),t(i,Ge),t(i,Y),t(i,We),t(i,Z),t(i,qe),t(i,ee),t(i,Fe),t(i,te),t(i,Re),t(i,E),m(N,E,null),t(E,je),t(E,re),t(i,Ke),t(i,C),m(V,C,null),t(C,Je),t(C,ae),t(i,Xe),t(i,I),m(S,I,null),t(I,Qe),t(I,ne),l(e,Ce,s),m(B,e,s),l(e,Ie,s),l(e,T,s),m(O,T,null),t(T,Ye),t(T,oe),t(T,Ze),t(T,ce),m(U,ce,null),l(e,De,s),l(e,x,s),m(z,x,null),t(x,et),t(x,se),t(x,tt),t(x,ie),m(G,ie,null),l(e,Ae,s),l(e,$,s),m(W,$,null),t($,rt),t($,le),t($,at),t($,de),t($,nt),t($,ge),m(q,ge,null),l(e,Pe,s),l(e,w,s),m(F,w,null),t(w,ot),t(w,me),t(w,ct),t(w,pe),m(R,pe,null),l(e,He,s),l(e,y,s),m(j,y,null),t(y,st),t(y,ue),t(y,it),t(y,he),m(K,he,null),l(e,Ne,s),l(e,L,s),m(J,L,null),t(L,lt),t(L,fe),t(L,dt),t(L,ve),m(X,ve,null),l(e,Ve,s),l(e,we,s),Se=!0},p:Nt,i(e){Se||(p(A.$$.fragment,e),p(P.$$.fragment,e),p(H.$$.fragment,e),p(N.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(B.$$.fragment,e),p(O.$$.fragment,e),p(U.$$.fragment,e),p(z.$$.fragment,e),p(G.$$.fragment,e),p(W.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),Se=!0)},o(e){u(A.$$.fragment,e),u(P.$$.fragment,e),u(H.$$.fragment,e),u(N.$$.fragment,e),u(V.$$.fragment,e),u(S.$$.fragment,e),u(B.$$.fragment,e),u(O.$$.fragment,e),u(U.$$.fragment,e),u(z.$$.fragment,e),u(G.$$.fragment,e),u(W.$$.fragment,e),u(q.$$.fragment,e),u(F.$$.fragment,e),u(R.$$.fragment,e),u(j.$$.fragment,e),u(K.$$.fragment,e),u(J.$$.fragment,e),u(X.$$.fragment,e),Se=!1},d(e){e&&(r(ye),r(xe),r(Le),r(Me),r(Ee),r(i),r(Ce),r(Ie),r(T),r(De),r(x),r(Ae),r($),r(Pe),r(w),r(He),r(y),r(Ne),r(L),r(Ve),r(we)),r(M),h(A,e),h(P,e),h(H),h(N),h(V),h(S),h(B,e),h(O),h(U),h(z),h(G),h(W),h(q),h(F),h(R),h(j),h(K),h(J),h(X)}}}const zt='{"title":"Experiment Tracking","local":"experiment-tracking","sections":[{"title":"The Base Tracker Class","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"Integrated Trackers","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2}],"depth":1}';function Gt(mt){return Vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends St{constructor(M){super(),Bt(this,M,Gt,Ut,Ht,{})}}export{jt as component};
